PETSc version 3.15.5
Fix/Edit manual page

# TaoSetVariableBounds

Sets the upper and lower bounds

### Synopsis

    #include "petsctao.h"
    PetscErrorCode TaoSetVariableBounds(Tao tao, Vec XL, Vec XU)

Logically collective on Tao

### Input Parameters

| tao | - the Tao context
| XL | - vector of lower bounds
| XU | - vector of upper bounds

### See Also

TaoSetObjectiveRoutine(), TaoSetHessianRoutine() TaoSetObjectiveAndGradientRoutine()

### Level

beginner

### Location

src/tao/interface/taosolver_bounds.c

### Examples

src/tao/constrained/tutorials/tomographyADMM.c.html
src/tao/constrained/tutorials/ex1.c.html
src/tao/bound/tutorials/plate2.c.html
src/tao/bound/tutorials/jbearing2.c.html
src/tao/complementarity/tutorials/minsurf1.c.html
src/tao/leastsquares/tutorials/tomography.c.html
src/tao/tutorials/ex3.c.html
Index of all Tao routines
Table of Contents for all manual pages
Index of all manual pages